Debian Bug report logs - #491302
lintian: exclude Format-Specification from the copyright-line-too-long check

version graph

Package: lintian; Maintainer for lintian is Debian Lintian Maintainers <lintian-maint@debian.org>; Source for lintian is src:lintian.

Reported by: Peter Pentchev <roam@ringlet.net>

Date: Fri, 18 Jul 2008 11:33:01 UTC

Severity: normal

Tags: patch

Found in version lintian/1.24.2

Fixed in versions lintian/1.24.3, lintian/1.24.2.1

Done: Frank Lichtenheld <djpig@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, roam@ringlet.net, Debian Lintian Maintainers <lintian-maint@debian.org>:
Bug#491302; Package lintian. Full text and rfc822 format available.

Acknowledgement sent to Peter Pentchev <roam@ringlet.net>:
New Bug report received and forwarded. Copy sent to roam@ringlet.net, Debian Lintian Maintainers <lintian-maint@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Peter Pentchev <roam@ringlet.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: lintian: exclude Format-Specification from the copyright-line-too-long check
Date: Fri, 18 Jul 2008 14:29:30 +0300
[Message part 1 (text/plain, inline)]
Package: lintian
Version: 1.24.2
Severity: normal
Tags: patch

The machine-readable copyright format includes a Format-Specification
header line that, for the present, usually points at the Wiki page for
the proposal.  However, most people (including me) reference a specific
version of the Wiki proposal page by using a URL like:
http://wiki.debian.org/Proposals/CopyrightFormat?recall=184

This, combined with the "Format-Specification: " in front, is virtually
guaranteed to make lintian warn about a "copyright line too long" :)

Attached is a patch that matches the lines read from the copyright file
against the "Format-Specification: proposal-url" pattern and excludes
any lines that start like this.

-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (990, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.18-4-686 (SMP w/1 CPU core)
Locale: LANG=bg_BG.CP1251, LC_CTYPE=bg_BG.CP1251 (charmap=CP1251)
Shell: /bin/sh linked to /bin/bash

Versions of packages lintian depends on:
ii  binutils            2.18.1~cvs20080103-7 The GNU assembler, linker and bina
ii  diffstat            1.45-2               produces graph of changes introduc
ii  dpkg-dev            1.14.20              Debian package development tools
ii  file                4.24-4               Determines file type using "magic"
ii  gettext             0.17-3               GNU Internationalization utilities
ii  intltool-debian     0.35.0+20060710.1    Help i18n of RFC822 compliant conf
ii  libdigest-sha-perl  5.47-1               Perl extension for SHA-1/224/256/3
ii  libparse-debianchan 1.1.1-2              parse Debian changelogs and output
ii  libtimedate-perl    1.1600-9             Time and date functions for Perl
ii  liburi-perl         1.35.dfsg.1-1        Manipulates and accesses URI strin
ii  man-db              2.5.2-1              on-line manual pager
ii  perl [libdigest-sha 5.10.0-11            Larry Wall's Practical Extraction 

lintian recommends no packages.

-- no debconf information
[lintian-copyright-format-specification.patch (text/x-diff, attachment)]
[Message part 3 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Lintian Maintainers <lintian-maint@debian.org>:
Bug#491302; Package lintian. Full text and rfc822 format available.

Acknowledgement sent to Adam D. Barratt <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Lintian Maintainers <lintian-maint@debian.org>. Full text and rfc822 format available.

Message #10 received at 491302@bugs.debian.org (full text, mbox):

From: Adam D. Barratt <adam@adam-barratt.org.uk>
To: control@bugs.debian.org
Cc: 491302@bugs.debian.org
Subject: tagging 491302
Date: Fri, 18 Jul 2008 18:34:03 +0100
# Automatically generated email from bts, devscripts version 2.10.33
# Fixed in commit 8f72771b1b52acc9f4e7504b2f5984df673e071e
#
# * checks/copyright:
#   + [ADB] Exclude "Format-Specification" lines when checking for overly-long
#     lines.  Patch from Peter Pentchev.  (Closes: #491302)
#
tags 491302 pending





Tags added: pending Request was from Adam D. Barratt <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Fri, 18 Jul 2008 17:39:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Lintian Maintainers <lintian-maint@debian.org>:
Bug#491302; Package lintian. Full text and rfc822 format available.

Acknowledgement sent to Adam D. Barratt <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Lintian Maintainers <lintian-maint@debian.org>. Full text and rfc822 format available.

Message #17 received at 491302@bugs.debian.org (full text, mbox):

From: Adam D. Barratt <adam@adam-barratt.org.uk>
To: control@bugs.debian.org
Cc: 491685-submitter@bugs.debian.org,491302@bugs.debian.org,491365@bugs.debian.org, 491685@bugs.debian.org
Subject: tagging 491685
Date: Tue, 22 Jul 2008 18:45:27 +0100
# Automatically generated email from bts, devscripts version 2.10.33
# Fixed in commit 4b52a883ec06200e3b10d6fa90bd9b075c4799aa
#
#   Drop debian-copyright-line-too-long
#
# * checks/copyright-file{,.desc}:
#   + [ADB] Drop the "copyright line too long" check.  Most of the issues
#     it flags aren't easily fixable, particularly where the copyright file
#     is (semi)automatically generated.  (Closes: #491302, #491365, #491685)
#
tags 491685 pending





Reply sent to Frank Lichtenheld <djpig@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Peter Pentchev <roam@ringlet.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #22 received at 491302-close@bugs.debian.org (full text, mbox):

From: Frank Lichtenheld <djpig@debian.org>
To: 491302-close@bugs.debian.org
Subject: Bug#491302: fixed in lintian 1.24.3
Date: Sat, 09 Aug 2008 04:02:03 +0000
Source: lintian
Source-Version: 1.24.3

We believe that the bug you reported is fixed in the latest version of
lintian, which is due to be installed in the Debian FTP archive:

lintian_1.24.3.dsc
  to pool/main/l/lintian/lintian_1.24.3.dsc
lintian_1.24.3.tar.gz
  to pool/main/l/lintian/lintian_1.24.3.tar.gz
lintian_1.24.3_all.deb
  to pool/main/l/lintian/lintian_1.24.3_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 491302@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Frank Lichtenheld <djpig@debian.org> (supplier of updated lintian package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 09 Aug 2008 00:35:13 -0300
Source: lintian
Binary: lintian
Architecture: source all
Version: 1.24.3
Distribution: unstable
Urgency: low
Maintainer: Debian Lintian Maintainers <lintian-maint@debian.org>
Changed-By: Frank Lichtenheld <djpig@debian.org>
Description: 
 lintian    - Debian package checker
Closes: 376184 491135 491252 491296 491302 491365 491440 491578 491625 491685 492930 493156 493903 493920 493921
Changes: 
 lintian (1.24.3) unstable; urgency=low
 .
   The "greetings from Argentina" release.
 .
   * checks/binaries:
     + [ADB] Use Lintian::Collect throughout rather than reparsing file-info
       and objdump-info.
   * checks/changelog-file{,.desc}:
     + [ADB] Use Lintian::Collect instead of reading the fields/*, file-info
       and objdump-info files.
     + [ADB] Remove a misplaced word from the description of the tag
       "debian-changelog-file-contains-invalid-email-address".
   * checks/copyright-file{,.desc}:
     + [ADB] Drop the "copyright line too long" check.  Most of the issues
       it flags aren't easily fixable, particularly where the copyright file
       is (semi)automatically generated.  (Closes: #491302, #491365, #491685)
     + [ADB] Use Lintian::Collect for accessing control fields and reading the
       list of files in the package.
     + [ADB] Don't flag use of version 1 of the GPL, or licenses using phrases
       such as "compatible with the GPL" (for example, the W3C Software
       License) as missing a reference to common-licenses
     + [ADB] Replace references to the GPL in GFDL and LGPL related tags
       with the appropriate license.  Also remove a misplaced word.
   * checks/cruft:
     + [ADB] Use Lintian::Collect for accessing control fields
   * checks/debconf:
     + [ADB] Don't complain about unused debconf templates in udebs.
       (Closes: #491135)
     + [RA] Try to recognize at least some debconf template uses in Perl.
     + [ADB] Replace fields/* and scripts access with Lintian::Collect
     + [ADB] Don't flag the shared templates used for dictionaries-common
       co-ordination as unused.
     + [FL] Remove debconf-error-requires-versioned-depends since post-lenny
       a tag for the sake of sarge-backports clearly makes no sense anymore.
       (Closes: #493920)
   * checks/description:
     + [RA] Don't warn about a synopsis that ends in "etc."  Patch from
       Chris Lamb.  (Closes: #491252)
     + [ADB] Use Lintain::Collect to read the package's description.
   * checks/etcfiles:
     + [ADB] Walk Lintian::Collect->index instead of reading the "index" file.
   * checks/fields{,.desc}:
     + [RA] Warn about packages that depend exclusively on makedev.
       Thanks, Josh Triplett.  (Closes: #491625)
     + [ADB] Use Lintian::Collect::field() to determine the content of fields
       from control files rather than reading the fields/* files. This and
       similar changes to other scripts should improve performance as the
       Collect object caches the lookup result.
     + [ADB] Reformat a couple of tags' descriptions.
   * checks/files{,.desc}:
     + [ADB] Switch to using Lintian::Collect.
     + [ADB] Fix a couple of bugs in the parsing of the list of scripts
       contained within a package which led to scripts in /usr/share/doc
       being incorrectly tagged as executable-in-usr-share-doc.
     + [ADB] Update a couple of Policy references.  Thanks Jordà Polo.
     + [ADB] Warn when a package embeds a copy of the Universal Feed Parser.
       Patch from Chris Lamb.  (Closes: #493156)
     + [FL, ADB] Don't issue tag file-in-unusal-dir for files where we already
       issued one of the specific dir-or-file-in-* tags.  (Closes: #493921)
     + [ADB] Add a missing "have" to package-contains-ancient-file's
       description.
   * checks/huge-usr-share:
     + [ADB] Replace (the single) direct access to fields/* with ::field()
     + [ADB] Replace an outdated link to the Developer's Reference.
       Thanks Jordà Polo.
   * checks/infofiles{,.desc}:
     + [ADB] Use Lintian::Collect to retrieve information about the files
       being processed.
     + [ADB] Update the tag "install-info-not-called-with-quiet-option"'s
       Policy reference.  Thanks Jordà Polo.
   * checks/init.d.desc:
     + [ADB] Update a Policy reference.  Thanks Jordà Polo.
   * checks/lintian.desc:
     + [ADB] Add a Policy reference to bad-section-in-changes-file.  Thanks
       Jordà Polo.
   * checks/manpages{,.desc}:
     + [RA] Suppress warnings about inability to break a line that contains
       a URL.  URLs often can't be usefully broken.  Based on a patch by
       Damyan Ivanov.  (Closes: #491578)
     + [ADB] Update the Policy reference for manpage-has-wrong-extension.
     + [ADB] Use Lintian::Collect rather than parsing the "index" and
       "file-info" files.
     + [FL] In description for manpage-has-errors-from-man note how to
       reproduce this errors outside of lintian.  (Closes: #492930)
   * checks/menu-format{,.desc}:
     + [ADB] Use Lintian::Collect to parse the list of files in the package.
     + [ADB] Don't raise menu-command-not-in-package for 'sensible-browser'
       or 'sh'.  Thanks Raphael Geissert.
     + [RA] Warn about .kdelnk files and [KDE Desktop Entry] headings in
       desktop files.  Patch from Raphael Geissert.
   * checks/menus{,.desc}:
     + [ADB] Fix a typo; thanks Jordà Polo.
     + [ADB] Use the file list from Lintian::Collect.
   * checks/nmu{,.desc}:
     + [ADB] Use Lintian::Collect for maintainer / uploader information
     + [ADB] Add a DevRef reference to changelog-should-mention-nmu.  Thanks
       Jordà Polo.
   * checks/patch-systems:
     + [RA] Combine all patch-system-but-direct-changes-in-diff instances
       into a single message to reduce the noise from packages that rebuild
       all auto-generated files outside the patch system.  Thanks, Julien
       Cristau.  (Closes: #491296)
     + [ADB] Migrate fields/* reading to use ::Collect::field().
   * checks/po-debconf{,.desc}:
     + [ADB] Check that at least one complete translation exists.  Thanks Jordà
       Polo.
   * checks/rules:
     + [ADB] Use ::Collect for field access.
     + [FL] Do not complain about using dh in a unused binary-* target.
   * checks/scripts{,.desc}:
     + [RA] Warn about maintainer scripts that prepend a path to commands.
       Based on a patch by Raphael Geissert.  (Closes: #376184)
     + [ADB] Don't read fields/*, scripts, index or file-info directly as the
       contents have almost certainly been cached in Lintian::Collect already.
     + [ADB] Update a couple of Policy references.  Thanks Jordà Polo.
   * checks/shared-libs.{,desc}:
     + [ADB] Improve the description of no-symbols-control-file.
     + [ADB] Migrate to using ::Collect instead of parsing the index, file-info
       and objdump-info files directly.
     + [ADB] Disable ldconfig-symlink-before-shlib-in-deb as it can never be
       tested correctly using the information currently available to the
       scripts
   * checks/watch-file:
     + [FL] Do not issue debian-watch-file-should-mangle-version for
       empty watch files.
 .
   * data/doc-base/sections:
     + [ADB] Resynchronize with doc-base's section list (adding
       Programming/OCaml).  (Closes: #491440)
 .
   * debian/postrm:
     + [FL] Do not try to remove /var/spool/lintian if it doesn't exist
       (dpkg might already removed it at this point).
 .
   * doc/desc-files:
     + [ADB] Update the description of tags to include experimental and info
       tags.
   * doc/README:
     + [ADB] Add -E / --show-experimental, -T / --tags and --tags-from-file
       to the option list.
 .
   * frontend/lintian:
     + [FL, ADB] Add new --tags/-T option to limit the amount of checks
       run not by check names but by names of tags you're interested
       in.  Requested by Joerg Jaspert for ftpmaster.  (Closes: #493903)
     + [FL] Add --tags-from-file option to make it easier to specify
       a long list of tags.
 .
   * lib/Lintian/Collect/Binary.pm:
     + [ADB] When parsing objdump-info, indicate whether a shared object is
       an Ocaml executable.  Also add information on segments which various
       checks scripts use which hadn't made it here yet.
     + [ADB] Make index() return a hash rather than an array
     + [ADB] Add support for parsing the "scripts" index file
   * lib/Read_taginfo.pm:
     + [FL] Handle URLs in the Ref: field.
   * lib/Tags.pm:
     + [ADB] If --tags was used, don't issue tags that aren't in the provided
       list.
 .
   * man/lintian.1
     + [ADB] Update the list of check scripts, removing the no longer present
       deb-format and perl and adding the nmu script.
     + [FL] Document the new --tags/-T option.
     + [FL] Document the new --tags-from-file option.
 .
   * reporting/templates/index.tmpl:
     + [RA] Add a link to lintian.log.  Suggested by Stefano Zacchiroli.
 .
   * t/:
     + [FL] Begin work on a new testsuite.
 .
   * testset/fields:
     + [ADB] New testset from Tobias Quathamer (including some tags which
       previously weren't tested)
   * testset/tags.scripts{,.sed}:
     + [ADB] Munge .changes filenames so that the tests produce consistent
       output across architectures
Checksums-Sha1: 
 b8f6a2acca6ac078f5e641b4b3a965ed965906c0 1123 lintian_1.24.3.dsc
 41caf7e8d07bd78393dd5ecb7e34201f2089880b 486467 lintian_1.24.3.tar.gz
 6dc1b8ae29e0872fe5f5080465eee7c234fe9e81 361460 lintian_1.24.3_all.deb
Checksums-Sha256: 
 e7a323b903db95d2426517abb4219500f3fd45394e77cfca48687e19f1446099 1123 lintian_1.24.3.dsc
 8dad1d4dcc5500685a0a9e610a49ed2e07e91d400b51443cd07363a20e4b76c2 486467 lintian_1.24.3.tar.gz
 f22e5fc828980f1ad57f0658499686fe618788e0699d4494f884a47185d46aba 361460 lintian_1.24.3_all.deb
Files: 
 9821fe44ddf6d391ff0f341e300906b5 1123 devel optional lintian_1.24.3.dsc
 bbd146521dc381b5d771f313d7c1c6c2 486467 devel optional lintian_1.24.3.tar.gz
 6fc40f5e39a7baace4a2de08bb3347b5 361460 devel optional lintian_1.24.3_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkidEvIACgkQQbn06FtxPfA8dgCgve4z1NiGag/DObk9JV5EibR6
ldwAn39FcHI+JvLuoKThloKSo7+K7j0g
=/Svk
-----END PGP SIGNATURE-----





Reply sent to Frank Lichtenheld <djpig@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Peter Pentchev <roam@ringlet.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #27 received at 491302-close@bugs.debian.org (full text, mbox):

From: Frank Lichtenheld <djpig@debian.org>
To: 491302-close@bugs.debian.org
Subject: Bug#491302: fixed in lintian 1.24.2.1
Date: Sat, 09 Aug 2008 23:32:02 +0000
Source: lintian
Source-Version: 1.24.2.1

We believe that the bug you reported is fixed in the latest version of
lintian, which is due to be installed in the Debian FTP archive:

lintian_1.24.2.1.dsc
  to pool/main/l/lintian/lintian_1.24.2.1.dsc
lintian_1.24.2.1.tar.gz
  to pool/main/l/lintian/lintian_1.24.2.1.tar.gz
lintian_1.24.2.1_all.deb
  to pool/main/l/lintian/lintian_1.24.2.1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 491302@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Frank Lichtenheld <djpig@debian.org> (supplier of updated lintian package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 09 Aug 2008 19:31:26 -0300
Source: lintian
Binary: lintian
Architecture: source all
Version: 1.24.2.1
Distribution: testing
Urgency: high
Maintainer: Debian Lintian Maintainers <lintian-maint@debian.org>
Changed-By: Frank Lichtenheld <djpig@debian.org>
Description: 
 lintian    - Debian package checker
Closes: 491302 491365 491685
Changes: 
 lintian (1.24.2.1) testing; urgency=high
 .
   The "for the sake of lenny users" release.
 .
   * checks/copyright-file{,.desc}:
     + [ADB] Drop the "copyright line too long" check.  Most of the issues
       it flags aren't easily fixable, particularly where the copyright file
       is (semi)automatically generated.  (Closes: #491302, #491365, #491685)
 .
   * debian/postrm:
     + [FL] Do not try to remove /var/spool/lintian if it doesn't exist
       (dpkg might already removed it at this point).
Checksums-Sha1: 
 9f8cedc71e24db007ace36fe4da47b99a744c98c 1131 lintian_1.24.2.1.dsc
 952c44373d7166bb8b804042b2faa35a454c20b6 472273 lintian_1.24.2.1.tar.gz
 5a9cddff9cfaf3f2b7db05acd3ce74425a4a10d6 358144 lintian_1.24.2.1_all.deb
Checksums-Sha256: 
 154eaacd796340dc37e66a0e91018374a6546c54824e8c6c1dc5b4d3b6f08779 1131 lintian_1.24.2.1.dsc
 0ab039060a074c2fe1747098397d42f13e6bd3eccfe84421378cb3e5c4144075 472273 lintian_1.24.2.1.tar.gz
 f9192a345667a64b9484a6939aa410169d557ffdf2117aff905e4de7cf7f9087 358144 lintian_1.24.2.1_all.deb
Files: 
 7c263495c411b7b761bf85b51b9abdd0 1131 devel optional lintian_1.24.2.1.dsc
 40b0d32fdfa2cf59c47ea56f48c04aec 472273 devel optional lintian_1.24.2.1.tar.gz
 bce973385351b6c6448d68ce0f62ca84 358144 devel optional lintian_1.24.2.1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkieJiEACgkQQbn06FtxPfDxzQCghbZON7kloYSTAIwmZP5vHb76
UgkAoJ9TcbtgdSk229pwDsOB7Pv9R9HE
=8ySs
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 07 Sep 2008 07:26:26 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 14:39:31 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.